import { baseUrl } from '@/utils/http.js'
import axios from '../utils/config'
const API_BASE = baseUrl

export default {
    // 基本配置接口
    getConfig() {
        return axios.get(`${API_BASE}/api/index/home`)
    },
    // 首页列表接口
    getIndexList() {
        return axios.get(`${API_BASE}/api/index/content_list`)
    },
    // 产品服务列表接口
    getProductList() {
        return axios.get(`${API_BASE}/api/index/product_list`)
    },
    // 新闻详情接口
    getNewsDetail(data) {
        return axios.get(`${API_BASE}/api/index/news_detail?id=${data}`)
    },
    // 新闻列表接口
    getNewsList(page,pageSize) {
        return axios.get(`${API_BASE}/api/index/news_list?page=${page}&page_size=${pageSize}`)
    },
    // 跨境列表接口
    getTradeList() {
        return axios.get(`${API_BASE}/api/index/trade_list`)
    },
    // 关于我们列表接口
    getAboutList() {
        return axios.get(`${API_BASE}/api/index/about_list`)
    }
}